<?php

namespace ModulesGarden\ProxmoxAddon\App\UI\CloudInitScriptCreate\Pages;

use ModulesGarden\ProxmoxAddon\App\Models\CloudInitScript;
use ModulesGarden\ProxmoxAddon\App\UI\CloudInitScriptCreate\Providers\CloudInitScriptProvider;
use ModulesGarden\ProxmoxAddon\App\UI\CloudInitScriptCreate\Sections\GeneralSection;
use ModulesGarden\ProxmoxAddon\App\UI\CloudInitScriptCreate\Sections\VariableSection;
use ModulesGarden\ProxmoxAddon\Core\Helper\BuildUrl;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Buttons\ButtonRedirect;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\DataTable\Column;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\DataTable\DataProviders\Providers\QueryDataProvider;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\DataTable\DataTable;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\BaseStandaloneFormExtSections;

class CloudInitScriptContainter extends BaseStandaloneFormExtSections implements AdminArea
{

    protected $id = 'cloudInitScriptContainter';
    protected $name = 'cloudInitScriptContainter';
    protected $title = 'cloudInitScriptContainter';

    public function initContent()
    {
        $this->setProvider(new CloudInitScriptProvider());
        $this->setFormType('update');
        //General
        $section = new GeneralSection('general');
        $section->initContent();
        $this->addSection($section);
        //variable
        $section = new VariableSection('variable');
        $section->initContent();
        $this->addSection($section);
        $this->loadDataToForm();

    }

}